---
apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterPreference
metadata:
  annotations:
    iconClass: icon-windows
    kubevirt.io/generation: "3"
    kubevirt.io/install-strategy-identifier: 5dc642dcafc20b388aac8893d36db44393e586b9
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:031a34ff7b451f8588ed2960c576d6a835a749de7c168e88eaec45d180be6a21
    openshift.io/display-name: Microsoft Windows Server 2008/2008 R2 (virtio)
    openshift.io/documentation-url: https://access.redhat.com
    openshift.io/provider-display-name: Red Hat
    openshift.io/support-url: https://access.redhat.com
    tags: hidden,kubevirt,windows
  creationTimestamp: "2025-10-29T11:55:09Z"
  generation: 1
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    instancetype.kubevirt.io/common-instancetypes-version: 1.3.1-41-ga46e70a1
    instancetype.kubevirt.io/os-type: windows
    instancetype.kubevirt.io/vendor: redhat.com
  managedFields:
  - apiVersion: instancetype.kubevirt.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:iconClass: {}
          f:kubevirt.io/generation: {}
          f:kubevirt.io/install-strategy-identifier: {}
          f:kubevirt.io/install-strategy-registry: {}
          f:kubevirt.io/install-strategy-version: {}
          f:openshift.io/display-name: {}
          f:openshift.io/documentation-url: {}
          f:openshift.io/provider-display-name: {}
          f:openshift.io/support-url: {}
          f:tags: {}
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:instancetype.kubevirt.io/common-instancetypes-version: {}
          f:instancetype.kubevirt.io/os-type: {}
          f:instancetype.kubevirt.io/vendor: {}
      f:spec:
        .: {}
        f:annotations:
          .: {}
          f:vm.kubevirt.io/os: {}
        f:clock:
          .: {}
          f:preferredClockOffset:
            .: {}
            f:utc: {}
          f:preferredTimer:
            .: {}
            f:hpet:
              .: {}
              f:present: {}
            f:hyperv: {}
            f:pit:
              .: {}
              f:tickPolicy: {}
            f:rtc:
              .: {}
              f:tickPolicy: {}
        f:cpu:
          .: {}
          f:preferredCPUTopology: {}
        f:devices:
          .: {}
          f:preferredAutoattachInputDevice: {}
          f:preferredDiskBus: {}
          f:preferredInputBus: {}
          f:preferredInputType: {}
          f:preferredInterfaceModel: {}
        f:features:
          .: {}
          f:preferredAcpi: {}
          f:preferredApic: {}
          f:preferredHyperv:
            .: {}
            f:frequencies: {}
            f:ipi: {}
            f:reenlightenment: {}
            f:relaxed: {}
            f:reset: {}
            f:runtime: {}
            f:spinlocks:
              .: {}
              f:spinlocks: {}
            f:synic: {}
            f:synictimer:
              .: {}
              f:direct: {}
            f:tlbflush: {}
            f:vapic: {}
            f:vpindex: {}
        f:preferredTerminationGracePeriodSeconds: {}
        f:requirements:
          .: {}
          f:cpu:
            .: {}
            f:guest: {}
          f:memory:
            .: {}
            f:guest: {}
    manager: virt-operator
    operation: Update
    time: "2025-10-29T13:26:33Z"
  name: windows.2k8.virtio
  resourceVersion: "2234688"
  uid: 75acffcc-1ce1-4743-afcf-4451861db5ba
spec:
  annotations:
    vm.kubevirt.io/os: windows
  clock:
    preferredClockOffset:
      utc: {}
    preferredTimer:
      hpet:
        present: false
      hyperv: {}
      pit:
        tickPolicy: delay
      rtc:
        tickPolicy: catchup
  cpu:
    preferredCPUTopology: sockets
  devices:
    preferredAutoattachInputDevice: true
    preferredDiskBus: virtio
    preferredInputBus: virtio
    preferredInputType: tablet
    preferredInterfaceModel: virtio
  features:
    preferredAcpi: {}
    preferredApic: {}
    preferredHyperv:
      frequencies: {}
      ipi: {}
      reenlightenment: {}
      relaxed: {}
      reset: {}
      runtime: {}
      spinlocks:
        spinlocks: 8191
      synic: {}
      synictimer:
        direct: {}
      tlbflush: {}
      vapic: {}
      vpindex: {}
  preferredTerminationGracePeriodSeconds: 3600
  requirements:
    cpu:
      guest: 1
    memory:
      guest: 512Mi
